# XMLWriter::writeAttributeNs

# xmlwriter_write_attribute_ns

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::writeAttributeNs -- xmlwriter_write_attribute_ns — Write full namespaced attribute

### Description

Object oriented style

XMLWriter::writeAttributeNs ( string `$prefix` , string `$name` , string `$uri` , string `$content` ) : bool

Procedural style

xmlwriter_write_attribute_ns ( resource `$xmlwriter` , string `$prefix` , string `$name` , string `$uri` , string `$content` ) : bool

Writes a full namespaced attribute.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`prefix`

  The namespace prefix.

`name`

  The attribute name.

`uri`

  The namespace URI.

`content`

  The attribute value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::writeAttribute() - Write full attribute
- XMLWriter::startAttribute() - Create start attribute
- XMLWriter::startAttributeNs() - Create start namespaced attribute
- XMLWriter::endAttribute() - End attribute